package cn.com.qmth.stmms.biz.exam.service;

import java.util.List;

import cn.com.qmth.stmms.biz.exam.model.ExamQuestion;
import cn.com.qmth.stmms.biz.exam.service.query.ExamQuestionSearchQuery;

public interface ExamQuestionService {

    ExamQuestion save(ExamQuestion question);

    void deleteByExam(int examId);

    void deleteByExamAndSubject(int examId, String subjectCode);

    void deleteByExamAndSubjectAndObjective(int examId, String subjectCode, boolean objective);

    void deleteByExamAndSubjectAndPaperTypeAndObjective(int examId, String subjectCode, String paperType,
            boolean objective);

    void deleteByExamAndSubjectAndPaperTypeAndObjectiveAndMainNumber(int examId, String subjectCode, String paperType,
            boolean objective, int mainNumber);

    ExamQuestion findOne(int examId, String subjectCode, String paperType, boolean objective, int mainNumber,
            int subNumber);

    List<ExamQuestion> findByExamAndSubjectAndObjective(int examId, String subjectCode, boolean objective);

    List<ExamQuestion> findByExamAndSubjectAndPaperTypeAndObjective(int examId, String subjectCode, String paperType,
            boolean objective);

    List<ExamQuestion> findByExamAndSubjectAndPaperTypeAndObjectiveAndMainNumber(int examId, String subjectCode,
            String paperType, boolean objective, int mainNumber);

    long countByExamAndSubject(int examId, String subjectCode);

    long countByExamAndSubjectAndPaperTypeAndObjective(int examId, String subjectCode, String paperType,
            boolean objective);

    ExamQuestionSearchQuery findByQuery(ExamQuestionSearchQuery query);

    long countByQuery(ExamQuestionSearchQuery query);

    void updateMainTitle(int examId, String subjectCode, boolean objective, int mainNumber, String mainTitle);

    double sumScoreByExamAndSubjectAndPaperTypeAndObjective(int examId, String subjectCode, String paperType,
            boolean objective);

    List<ExamQuestion> findByExamAndSubjectAndObjectiveAndMainNumber(int examId, String subjectCode, boolean objective,
            int mainNumber);

}
