package cn.com.qmth.stmms.biz.mark.thread;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import cn.com.qmth.stmms.biz.exam.model.Marker;
import cn.com.qmth.stmms.biz.mark.service.MarkService;

/**
 * 评卷员计算评卷质量指标工作线程
 * 
 * @author luoshi
 *
 */
public class MarkerQualityThread implements Runnable {

    protected static final Logger log = LoggerFactory.getLogger(MarkerQualityThread.class);

    private Marker marker;

    private MarkService markService;

    public MarkerQualityThread(Marker marker, MarkService markService) {
        this.marker = marker;
        this.markService = markService;
    }

    @Override
    public void run() {
        log.info("start marker quality thread for id=" + marker.getId());
        try {
            markService.updateQuality(marker);
            log.info("finish marker quality thread for id=" + marker.getId());
        } catch (Exception e) {
            log.error("marker quality thread error", e);
        }
    }
}
