<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>登录</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
    <link rel="stylesheet" href="${ctxStatic}/common/login.css">
    <link rel="icon" href="${ctxStatic}/favicon.png" type="image/x-icon">
	<script type="text/javascript">
		$(document).ready(function() {
			$("#loginForm").validate({
				rules: {
					validateCode: {remote: "${pageContext.request.contextPath}/servlet/validateCodeServlet"}
				},
				messages: {
					username: {required: "请填写用户名."},password: {required: "请填写密码."},
					validateCode: {remote: "验证码不正确.", required: "请填写验证码."}
				},
				errorLabelContainer: "#messageBox",
				errorPlacement: function(error, element) {
					error.appendTo($("#loginError").parent());
				} 
			});
		});
		// 如果在框架中，则跳转刷新上级页面
		if(self.frameElement && self.frameElement.tagName=="IFRAME"){
			parent.location.reload();
		}
	</script>
</head>
<body>
<div class="container">
  <div class="middle cl">
   <div class="left">
    <div class="logo"><img src="${ctxStatic}/images/logo@2x.png"/></div>
    <p>Copyright &#169武汉启明软件 2012-2014</p>
   </div>
   <div class="right">
     <div class="title">
       <h1>高校考试管理平台</h1>
       <p>管理员登录</p>
     </div>
     <div class="loginbox">
      <form action="${ctx}/admin-login" method="post" role="form" id="loginForm">
        <div class="input-group">
        	<input type="text" class="form-control required" id="loginName" name="loginName" placeholder="请输入用户ID" autocomplete="off" value="${loginName }"/>
        </div>
        <div class="input-group">
        	<input type="password" class="form-control required" id="password" name="password" placeholder="请输入密码" autocomplete="off"/>
        </div>
        <div class="point <c:if test="${message != null }"></c:if><c:if test="${message == null }">hide</c:if>">
        <em class="error">${message }</em>
        </div>
        <div class="login-btn"><input class="opacity" type="submit" "submit" value="登 录"/></div>
      </form>
     </div>
   </div>
  </div>
</div>
</body>
</html>